- [HTTP request](https://docs.cloud.google.com/service-usage/docs/reference/rest/v1beta1/services/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/service-usage/docs/reference/rest/v1beta1/services/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/service-usage/docs/reference/rest/v1beta1/services/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/service-usage/docs/reference/rest/v1beta1/services/list#body.request_body)
- [Response body](https://docs.cloud.google.com/service-usage/docs/reference/rest/v1beta1/services/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/service-usage/docs/reference/rest/v1beta1/services/list#body.ListServicesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/service-usage/docs/reference/rest/v1beta1/services/list#body.aspect)
- [Try it!](https://docs.cloud.google.com/service-usage/docs/reference/rest/v1beta1/services/list#try-it)

> [!WARNING]
> This item is deprecated!

Lists all services available to the specified project, and the current state of those services with respect to the project. The list includes all public services, all services for which the calling user has the `servicemanagement.services.bind` permission, and all services that have already been enabled on the project. The list can be filtered to only include services in a specific state, for example to only include services enabled on the project.

### HTTP request

`GET https://serviceusage.googleapis.com/v1beta1/{parent=*/*}/services`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Parent to search for services on. An example name would be: `projects/123` where `123` is the project number (not project ID). Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `serviceusage.services.list` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Requested size of the next page of data. Requested page size cannot exceed 200. If not set, the default page size is 50. |
| `pageToken` | `string` Token identifying which result to start with, which is returned by a previous list call. |
| `filter` | `string` Only list services that conform to the given filter. The allowed filter strings are `state:ENABLED` and `state:DISABLED`. |

### Request body

The request body must be empty.

### Response body

Response message for the `services.list` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "services": [ { object (`https://docs.cloud.google.com/service-usage/docs/reference/rest/v1beta1/services#Service`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `services[]` | ``object (`https://docs.cloud.google.com/service-usage/docs/reference/rest/v1beta1/services#Service`)`` The available services for the requested project. |
| `nextPageToken` | `string` Token that can be passed to `services.list` to resume a paginated query. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform.read-only`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).